<?php
namespace Claromentis\People\Subscriber;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_45ed8675ea7eada7f4efaaf" . "62cef70c3" => base64_decode("T25VcGRhdGVVc2" . "Vy"), "_104d2e65fd6" . "a12ea47809e7" . "79894b517" => base64_decode("T25EZWxldGVVc2V" . "y"), "_a889687" . "d4f2e7ee" . "d7a091dd" . "1abe903a" . "a" => base64_decode("T25DcmVhdGVV" . "c2Vy"));
use Claromentis\Core\Event\EventSubscriberInterface;
use Claromentis\People\Event\AddUserEvent;
use Claromentis\People\Event\DeleteUserEvent;
use Claromentis\People\Event\PeopleEventType;
use Claromentis\People\Event\UpdateUserEvent;
use Claromentis\Search\Indexing\IndexingQueue;
use Claromentis\Search\ItemType\Indexing;




class SearchSubscriber implements EventSubscriberInterface
{
    public static function getSubscribedEvents()
    {
        return [PeopleEventType::ADD_USER => $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_a889687d4f2e7eed7a09" . "1dd1abe903aa"], PeopleEventType::UPDATE_USER => $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_45ed8675ea7eada7f4efaaf62ce" . "f70c3"], PeopleEventType::DELETE_USER => $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_104d2e65fd6a12ea478" . "09e779894b517"]];
    }
    public function OnCreateUser(AddUserEvent $event)
    {
        $this->ReindexUser($event->GetUserId());
    }
    public function OnUpdateUser(UpdateUserEvent $event)
    {
        $this->ReindexUser($event->GetUserId());
    }
    public function OnDeleteUser(DeleteUserEvent $event)
    {
        $this->DeleteUserIndex($event->GetUserId());
    }
    protected function ReindexUser($user_id)
    {
        IndexingQueue::Reindex(Indexing\User::TYPE_NAME, $user_id);
    }
    protected function DeleteUserIndex($user_id)
    {
        IndexingQueue::DeleteIndex(Indexing\User::TYPE_NAME, $user_id);
    }
}